Permalink
Browse files

Updated changelog, contributing info, gradle, etc

  • Loading branch information...
me4502 committed Oct 4, 2018
1 parent 5aa8f77 commit b46b0c3801e395718bed3806b404c41e0781ac59
View
@@ -10,7 +10,6 @@ eclipse
bin
build
target
gradle
.gradle
forge-download
out
View
@@ -1,3 +1,14 @@
7.0-beta-1
- Added support for 1.13.
- Removed support for all prior versions.
- Added a basic server-only GUI for editing. //drawsel to enable/disable. Requires creative.
- Added a tag mask, ##minecraft:tag_name.
- Added Sponge Schematic Format to replace MCEdit Schematics.
- Added a compatibility layer for old schematics.
- Rewrote the block parser, now uses official Minecraft format, minecraft:snow[layers=7]
- Removed deprecated code.
- Many more major changes!
6.1
- Added support for Spigot for MC 1.8.3 to 1.8.6.
- Added rotation values to lit redstone torches.
@@ -228,7 +239,7 @@ Thanks for the contributions from aumgn
- Removed chat-based WECUI protocol (now replaced with packet 250).
Thank you for the contributions from Ammar Askar (ammaraskar), aumgn,
Jim Nordb� (Silentspy), snaxson, Socolin, and Zhuowei Zhang (zhuowei).
Jim Nordb� (Silentspy), snaxson, Socolin, and Zhuowei Zhang (zhuowei).
5.3:
- Made #region mask keep the region selected when the pask was added, and
View
@@ -1,7 +1,7 @@
Compiling
=========
You can compile WorldEdit as long as you have the [Java Development Kit (JDK)](http://www.oracle.com/technetwork/java/javase/downloads/index-jsp-138363.html) for Java 7 or newer.
You can compile WorldEdit as long as you have the [Java Development Kit (JDK)](http://www.oracle.com/technetwork/java/javase/downloads/index-jsp-138363.html) for Java 8 or newer.
You only need one version of the JDK installed.
The build process uses Gradle, which you do *not* need to download. WorldEdit is a multi-module project with four modules:
View
@@ -8,7 +8,7 @@ ask that you make note of the following guidelines.
* **Follow the [Oracle coding conventions](http://www.oracle.com/technetwork/java/codeconv-138413.html).**
We can't stress this enough; if your code has notable issues, it may delay
the process significantly.
* **Target Java 7 for source and compilation.** Make sure to mark methods with
* **Target Java 8 for source and compilation.** Make sure to mark methods with
` @Override` that override methods of parent classes, or that implement
methods of interfaces.
* **Use only spaces for indentation.** Our indents are 4-spaces long, and tabs
Binary file not shown.
@@ -1,5 +1,5 @@
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-4.9-bin.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-4.10.2-bin.zip
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists

0 comments on commit b46b0c3

Please sign in to comment.